Bug 250980 - Totem is in defaults.list as the default player for realvideo even though it cannot play rtsp streams
Totem is in defaults.list as the default player for realvideo even though it ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shared-mime-info (Show other bugs)
5.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 05:42 EDT by Alan
Modified: 2013-04-12 15:18 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0015
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 05:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan 2007-08-06 05:42:03 EDT
Description of problem:

When one first tries to open a realvideo rtsp stream (say, using firefox) in
RHEL5, Totem pops up and then tells you that "RTSPstreams cannot be played yet"

Version-Release number of selected component (if applicable):

shared-mime-info-0.19-3.el5
totem-2.16.4-2.el5

How reproducible:

on first install

Steps to Reproduce:
1.  open up a web page in firefox containing an rtsp URL
eg: http://mitworld.mit.edu/stream/310
2.  attempt to play the video
  
Actual results:

Download manager appears, ram file is downloaded, Totem opens and then gives an
error.

Expected results:

a player that can play rtsp streams (like mplayer) would open.

Additional info:

installing the actual RealPlayer rpm does not fix the problem.  one has to
manually edit the /usr/share/applications/defaults.list
Comment 1 Alan 2007-08-06 06:01:09 EDT
2 things:
1.  the eg url I used above is sessioned.  if you don't have your own favorite
rtsp url to go to, open http://mitworld.mit.edu/play/310 and then set your prefs.

2.  it seems as though gconf also has totem as the default rtsp url handler,
which is probably a more serious offense
Comment 2 Bastien Nocera 2007-08-10 04:45:07 EDT
(In reply to comment #1)
> 2.  it seems as though gconf also has totem as the default rtsp url handler,
> which is probably a more serious offense

Which works if you have the right plugins installed (which aren't shipped in
RHEL...).

I'll remove handling RAM files from Totem for RHEL and the rtsp handler.
Comment 3 Alan 2007-08-10 05:18:57 EDT
I guess a good approach might be to have a UI element that tells the user about
the lack of support and offers help (like finding the libs on your system if you
have, in fact, installed realplayer or the win32 codecs or showing you were to
download such things if you haven't).  I believe xmms was pre-configured to do
something similar with a bogus mp3 plugin in feodra...

near as I can tell Totem would want to use gstreamer-plugins-good for the rtsp
bit anyway, which is an rpm-requires for totem to install in the first place. 
so I guess it is only the support for actual codecs...
-alan
Comment 4 Bastien Nocera 2007-08-12 06:58:42 EDT
RTSP is only in much newer version of gstreamer-plugins-base, and I'm not even
sure it handles the RTSP Real uses (which isn't a standard one). So disabling it
is the best solution for now (as we don't ship the most usual codecs for Real
Video/Audio either).
Comment 7 Bastien Nocera 2007-10-04 12:40:02 EDT
Patch committed and building. Totem part of the bug is now in bug #318701.
Comment 10 errata-xmlrpc 2008-01-03 05:59:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0015.html

Note You need to log in before you can comment on or make changes to this bug.